#include "UserValidator.h"

bool UserValidator::ValidateUSUser()
{
  if (!ValidateAccountId()) {
    return false;
  }

  if (!ValidateName()) {
    return false;
  }

  if (!ValidateUSAgeRestriction()) {
    return false;
  }

  if (!ValidateUSPhoneNumber()) {
    return false;
  }

  if (!ValidateUSAddress()) {
    return false;
  }

  return true;
}

bool UserValidator::ValidateTWUser()
{
  if (!ValidateAccountId()) {
    return false;
  }

  if (!ValidateName()) {
    return false;
  }

  if (!ValidateTWAgeRestriction()) {
    return false;
  }

  if (!ValidateTWPhoneNumber()) {
    return false;
  }

  if (!ValidateTWAddress()) {
    return false;
  }

  return true;
}
