#include "UserValidator.h"

// The template method
bool AbstractUserValidator::ValidateUser()
{
  if (!ValidateAccountId()) {
    return false;
  }

  if (!ValidateName()) {
    return false;
  }

  if (!ValidateAgeRestriction()) {
    return false;
  }

  if (!ValidatePhoneNumber()) {
    return false;
  }

  if (!ValidateAddress()) {
    return false;
  }

  return true;

}

bool USUserValidator::ValidateAgeRestriction()
{
  // TODO implement me.
  return false;
}

bool USUserValidator::ValidateAddress()
{
  // TODO implement me.
  return false;
}

bool USUserValidator::ValidatePhoneNumber()
{
  // TODO implement me.
  return false;
}

bool TWUserValidator::ValidateAgeRestriction()
{
  // TODO implement me.
  return false;
}

bool TWUserValidator::ValidateAddress()
{
  // Call the factory method to create an instance of concrete
  // PostalCodeValidator class.
  PostalCodeValidator *pcVal = CreatePostalCodeValidator();
  const char *postalCode = ""; // TODO get postal code.
  if (!pcVal->Validate(postalCode)) {
    return false;
  }

  // TODO perform TW address check.

  return true;
}

bool TWUserValidator::ValidatePhoneNumber()
{
  // TODO implement me.
  return false;
}

PostalCodeValidator* USUserValidator::CreatePostalCodeValidator()
{
  // TODO return an instance of PostalCodeValidator for US postal codes.
  return nullptr;
}

PostalCodeValidator* TWUserValidator::CreatePostalCodeValidator()
{
  // TODO return an instance of PostalCodeValidator for TW postal codes.
  return nullptr;
}
