#include "ImageUploader.h"

using namespace cloud;

namespace tools {

// TODO encapsulate the constants.
static const char *kServerAddr = "testcloud.com";
static const int kServerPort = 11001;

PictureUploader::PictureUploader(CloudFactory* aFactory)
  : mFactory(aFactory)
{
}

void
PictureUploader::UploadLocalImage(const char* aPath)
{
  FileSystem *fs = mFactory->CreateFileSystem();
  fs->Connect(kServerAddr, kServerPort);
  if (!fs->IsConnected()) {
    // TODO erorr handling.
    return;
  }

  // TODO get local file.

  File *file = mFactory->CreateFile();
  // TODO operations with the file.

  Folder *folder = mFactory->CreateFolder();
  // TODO operations with the folder.

  // TODO call fs methods to upload the file.
}

void
PictureUploader::UploadLocalImageInFolder(const char* aFolderPath)
{
  const char *path = NULL;

  // TODO use the Iterator pattern to iterate over the local folder.
  // iter->First();
  // path = iter->GetCurrentItem()->GetName();
  while (path) {
    UploadLocalImage(path);

    // TODO get next file using the iterator and update 'path' like:
    // iter->Next();
    // path = iter->GetCurrentItem()->GetName();
  }
}

}
